Get Order
curl --request GET \
--url https://api-bluvo.com/v0/wallet/trade/order/{orderId} \
--header 'x-bluvo-api-key: <api-key>' \
--header 'x-bluvo-org-id: <api-key>' \
--header 'x-bluvo-project-id: <api-key>' \
--header 'x-bluvo-wallet-id: <api-key>'import requests
url = "https://api-bluvo.com/v0/wallet/trade/order/{orderId}"
headers = {
"x-bluvo-api-key": "<api-key>",
"x-bluvo-org-id": "<api-key>",
"x-bluvo-project-id": "<api-key>",
"x-bluvo-wallet-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-bluvo-api-key': '<api-key>',
'x-bluvo-org-id': '<api-key>',
'x-bluvo-project-id': '<api-key>',
'x-bluvo-wallet-id': '<api-key>'
}
};
fetch('https://api-bluvo.com/v0/wallet/trade/order/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orderId": "OABC12-DEF34-GHIJKL",
"exchange": "kraken",
"status": "filled",
"rawStatus": "closed",
"volume": "70.00000000",
"executedVolume": "70.00000000",
"cost": "9.12345",
"averagePrice": "0.130335",
"fee": "0.03649",
"openedAt": 1770000000,
"closedAt": 1770000002,
"description": {
"pair": "XDGUSDC",
"side": "sell",
"type": "market"
},
"rawResponse": {
"status": "closed",
"vol": "70.00000000",
"vol_exec": "70.00000000"
}
}{
"error": "Trading is not supported for exchange: coinbase",
"type": "TRADING_EXCHANGE_NOT_SUPPORTED"
}{
"error": "Insufficient permissions",
"type": "APIKEY_INSUFFICIENT_PERMISSIONS",
"missing": [
"trade"
]
}{
"error": "Kraken order not found: OABC12-DEF34-GHIJKL",
"type": "TRADING_ORDER_NOT_FOUND"
}Trading
Get Order
Get the latest status for an exchange order. Clients can poll this endpoint until the normalized status is filled, canceled, or expired.
Required API Key Scopes: trade
GET
/
v0
/
wallet
/
trade
/
order
/
{orderId}
Get Order
Authorizations
Bluvo API Key
Bluvo Organization ID
Bluvo Project ID
Bluvo Wallet ID
Path Parameters
Order ID returned by Place Order
Response
Successful response
Available options:
open, filled, canceled, expired, unknown Show child attributes
Show child attributes
Was this page helpful?
⌘I